long_cpd_names = {
    "PQ": "plastoquionone",
    "PC": "plastocyanine",
    "Fd": "ferredoxin",
    "ATP": "ATP",
    "NADPH": "NADPH",
    # "H": "protons",
    # "LHC",
    # "Psbs",
    # "Vx",
    "PGA": "phosphoglycerate",
    "BPGA": "biphosphoglycerate",
    "GAP": "glyceraldehyde 3-phosphate",
    "DHAP": "dihydroxyacetone phosphate",
    "FBP": "fructose-1,6-bisphosphat",
    "F6P": "fructose-6-phosphate",
    "G6P": "glucose-6-phosphate",
    "G1P": "glucose-1-phosphate",
    "SBP": "sedoheptulose-1-7-bisphosphate",
    "S7P": "sedoheptulose-7-phosphate",
    "E4P": "erythrose-4-phosphate",
    "X5P": "xylulose-5-phosphate",
    "R5P": "ribose-5-phosphate",
    "RUBP": "ribulose-biphosphate",
    "RU5P": "ribulose-5-phosphate",
    "MDA": "monodehydroascorbate",
    "H2O2": "peroxide",
    "DHA": "dehydroascorbate",
    "GSSG": "glutathione",
    # "TR_ox": "thioredoxin",
    # "E_inactive",
}

long_rxn_names = {
    # PETC
    "vPS2": "PSII",  # photosystem II
    "vPS1": "PSI",  # photosystem I
    "vPTOX": "plastid terminal oxidase",
    "vNDH": "NAD(P)H dehydrogenase-like complex",
    "vB6f": "Cytochrome b6f complex",
    "vCyc": "cyclic electron flow",
    "vFNR": "Ferredoxin-NADP reductase",
    "vSt12": "PSI-PSII st",
    "vSt21": "PSII-PSI st",
    "vATPsynthase": "ATP synthase",
    "vDeepox": "Violaxanthin de-epoxidase",
    "vEpox": "ZEP",
    "vLhcprotonation": "LHC prot.",
    "vLhcdeprotonation": "LHC deprot.",
    # CBB
    "vRuBisCO": "rubisco",
    "vPGA_kinase": "phosphoglycerate kinase",
    "vBPGA_dehydrogenase": "glyceraldehyde 3-phosphate dehydrogenase",
    "vTPI": "triose-phosphate isomerase ",
    "vAldolase": "aldolase (FBP)",
    "vFBPase": "FBPase",
    "vF6P_Transketolase": "transketolase (F6P)",
    "v8": "aldolase (SBP)",
    "v9": "SBPase",
    "v10": "transketolase (S7P)",
    "v11": "ribose-5-phosphate isomerase",
    "v12": "ribulose-phosphate 3-epimerase",
    "v13": "phosphoribulokinase",
    "vG6P_isomerase": "G6P isomerase",
    "vPhosphoglucomutase": "",
    # Mehler
    "vFdred": "Ferredoxin reductase",
    "vAscorbate": "ascorbate peroxidase",
    "vMDAreduct": "monodehydroascorbate reductase",
    "vDHAR": "dehydroascorbate reductase",
    "v3ASC": "L-ascorbate peroxidase",
    "vGR": "GSR",
    "vMehler": "mehler",
    "vEX_ATP": "ATP consumption",
    "vEX_NADPH": "NADPH consumption",
    # "vFdTrReductase": "",
    # "vE_activation": "",
    # "vE_inactivation": "",
}

colors = {
    "General": "C0",
    "PETC": "C1",
    "CBB": "C2",
    "Mehler": "C3",
}

calvin_cycle_fluxes = [
    "vRuBisCO",
    "vPGA_kinase",
    "vBPGA_dehydrogenase",
    "vTPI",
    "vAldolase",
    "vFBPase",
    "vF6P_Transketolase",
    "v8",
    "v9",
    "v10",
    "v11",
    "v12",
    "v13",
    "vG6P_isomerase",
    "vPhosphoglucomutase",
    "vpga",
    "vgap",
    "vdhap",
]


calvin_cycle_intermediates = [
    "PGA",
    "BPGA",
    "GAP",
    "DHAP",
    "FBP",
    "F6P",
    "G6P",
    "G1P",
    "SBP",
    "S7P",
    "E4P",
    "X5P",
    "R5P",
    "RUBP",
    "RU5P",
]
